> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memoryproto.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Twitter profile

> Retrieve the Twitter profile with Farcaster linking from a username.



## OpenAPI

````yaml get /twitter
openapi: 3.1.0
info:
  version: 1.0.0
  title: Memory API
  description: >-
    Memory Protocol generated from the OpenAPI specification. Register at
    https://memoryproto.co/developers to start querying user identity graphs.
    Visit https://docs.memoryproto.co for a complete documentation.
servers:
  - url: https://api.memoryproto.co
    description: Memory API
security: []
paths:
  /twitter:
    get:
      summary: Get Twitter profile
      description: Retrieve the Twitter profile with Farcaster linking from a username.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: >-
              Twitter username of the user. For example, MemoryProtocol or
              factory__fm.
            examples:
              - MemoryProtocol
              - factory__fm
          required: true
          name: username
          in: query
        - schema:
            type: string
            description: >-
              Use an authorization token prefixed with `Bearer`. You can get
              your API key at
              [https://memoryproto.co/dashboard](https://memoryproto.co/dashboard).
            example: Bearer mem_xxx
          required: true
          name: Authorization
          in: header
      responses:
        '200':
          description: Successful response containing the Twitter profile.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      username:
                        type: string
                      id:
                        type: string
                      displayName:
                        type: string
                      followersCount:
                        type: number
                      followingCount:
                        type: number
                      postsCount:
                        type: number
                        nullable: true
                      creationDate:
                        type: string
                        nullable: true
                      avatarUrl:
                        type: string
                        nullable: true
                      externalUrl:
                        type: string
                        nullable: true
                      location:
                        type: string
                        nullable: true
                      bio:
                        type: string
                        nullable: true
                      farcaster:
                        type: object
                        nullable: true
                        properties:
                          id:
                            type: string
                          username:
                            type: string
                          displayName:
                            type: string
                          followersCount:
                            type: number
                          followingCount:
                            type: number
                          avatarUrl:
                            type: string
                            nullable: true
                          location:
                            type: string
                            nullable: true
                          bio:
                            type: string
                            nullable: true
                        required:
                          - id
                          - username
                          - displayName
                          - followersCount
                          - followingCount
                          - avatarUrl
                          - location
                          - bio
                        description: Farcaster profile linked to the Twitter account.
                        example:
                          id: '244819'
                          username: memoryprotocol.eth
                          displayName: Memory
                          followersCount: 929
                          followingCount: 73
                          avatarUrl: >-
                            https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                          location: ''
                          bio: The internet forgets you. Memory doesn’t.
                    required:
                      - username
                      - id
                      - displayName
                      - followersCount
                      - followingCount
                      - postsCount
                      - creationDate
                      - avatarUrl
                      - externalUrl
                      - location
                      - bio
                      - farcaster
                    description: Twitter profile of the account.
                    example:
                      id: '1732464385174761474'
                      username: memoryprotocol
                      displayName: Memory
                      followersCount: 1659
                      followingCount: 414
                      postsCount: 642
                      creationDate: Wed Dec 06 18:18:03 +0000 2023
                      avatarUrl: >-
                        https://pbs.twimg.com/profile_images/1912179219758485514/WIKNnlqA_400x400.jpg
                      externalUrl: http://memoryproto.co
                      location: ''
                      bio: >-
                        Where your digital identity can move across the
                        internet  ☁︎
                      farcaster:
                        id: '244819'
                        username: memoryprotocol.eth
                        displayName: Memory
                        followersCount: 929
                        followingCount: 73
                        avatarUrl: >-
                          https://imagedelivery.net/BXluQx4ige9GuW0Ia56BHw/931fd467-68f8-4146-9487-a9017c0f6700/rectcrop3
                        location: ''
                        bio: The internet forgets you. Memory doesn’t.
                required:
                  - data
        '403':
          description: The organization ran out of credits.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - >-
                    You have run out of credits. Please purchase more to
                    continue.
        '404':
          description: Twitter profile not found.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Twitter profile {username} not found.
        '500':
          description: An internal error occurred while getting the Twitter profile.
          content:
            application/text:
              schema:
                type: string
                enum:
                  - Error getting Twitter profile {username}.
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````